Skip to content

Embed URL

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Bundler error
Command:
--------
bundle exec rspec
Exception:
----------
/home/paul/.rvm/gems/ruby-1.9.3-p194/gems/bundler-1.2.3/lib/bundler/runtime.rb:31:in `block in setup': You have already activated activesupport 3.2.8, but your Gemfile requires activesupport 3.2.6. Using bundle exec may solve this. (Gem::LoadError)
from /home/paul/.rvm/gems/ruby-1.9.3-p194/gems/bundler-1.2.3/lib/bundler/runtime.rb:17:in `setup'
from /home/paul/.rvm/gems/ruby-1.9.3-p194/gems/bundler-1.2.3/lib/bundler.rb:116:in `setup'
from /home/paul/.rvm/gems/ruby-1.9.3-p194/gems/bundler-1.2.3/lib/bundler/setup.rb:7:in `<top (required)>'
from /home/paul/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
from /home/paul/.rvm/rubies/ruby-1.9.3-p194/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
Gemfile:
--------
source 'https://rubygems.org'
ruby '1.9.3'
gem 'rails', '3.2.6'
gem 'bundler', '>= 1.2.1'
gem 'mongoid', '~>3.0.4'
gem 'mongoid_slug', :git => 'https://github.com/Grantoo/mongoid-slug.git'
gem 'mongoid-history', :git => 'https://github.com/aq1018/mongoid-history.git'
gem 'mongoid_optimistic_locking', :git => 'https://github.com/burgalon/mongoid_optimistic_locking.git', :branch => 'mongoid3'
gem 'mongoid_denormalize'
gem 'bson_ext'
gem 'delayed_mail', :git => 'https://github.com/Grantoo/delayed_mail.git'
gem 'grantoo_support', :path => 'vendor/gems/grantoo_support'#:path => 'vendor/gems/grantoo_support' #:git => 'git@github.com:Grantoo/resource_mapper.git'
gem 'resource_mapper', :path => 'vendor/gems/resource_mapper' #:git => 'git@github.com:Grantoo/resource_mapper.git'
#gem 'resource_mapper', :path => '~/grantoo/resource_mapper'
# core
gem 'devise', '2.1.2'
gem 'guid'
gem 'mixpanel', '~> 3.0.2'
# api
gem 'rabl'
# monitoring
group :production, :staging, :development do
gem 'newrelic_rpm'
gem 'newrelic_moped'
end
# ember
#gem "ember-rails"
#gem 'ember-rest-rails'
gem 'active_model_serializers'
gem 'handlebars_assets'
#gem 'handlebars-rails'
# resources
gem 'uglifier', '>= 1.0.3'
gem 'cssminify'
# set a better web server than webrick
gem 'thin'
#gem 'unicorn'
# javascript engine
gem 'therubyracer'
# image processing
gem 'rmagick', '= 2.12.2', :require => false
# facebook integration
gem 'omniauth', '~> 1.1.1'
gem 'omniauth-facebook', '= 1.4.1'
gem 'fb_graph'
gem 'koala'
# style sheets that don't suck
gem 'sass-rails', '~> 3.2.3'
gem 'compass-rails', '>= 0.12'
gem 'bootstrap-sass', '>= 2.0'
# administration
gem 'activeadmin', :git => 'https://github.com/gregbell/active_admin.git'
# gem 'activeadmin-mongoid', :git => 'https://github.com/elia/activeadmin-mongoid.git'
gem 'activeadmin-mongoid', :git => 'git://github.com/Ostrzy/activeadmin-mongoid.git', :branch => 'filter_support'
gem "just-datetime-picker"
# better forms, date picker
gem 'simple_form'
#gem 'ui_datepicker-rails3'
#gem "jquery-ui-rails"
# cloud
gem 'fog', "~> 1.5.0"
#gem 'aws-s3'
#misc
gem 'json', "~> 1.7.4"
gem 'recursive-open-struct'
gem 'roadie'
# background processing
gem 'resque', ">= 1.19.0"
gem 'resque-scheduler'
gem 'whenever', :require => false
# xml validation
gem 'libxml-ruby'
group :development, :test do
gem 'rspec-rails', ">= 2.11.0"
gem 'rspec-expectations', ">= 2.11.2"
gem 'rspec-dump-profile-customizer'
#gem 'resque_spec', :git => "https://github.com/leshill/resque_spec.git" #ps - not going to use this unless it's really necessary
gem 'rb-fsevent', '~> 0.9.1', :require => false # if RUBY_PLATFORM =~ /darwin/i
end
group :test do
gem 'database_cleaner'
gem 'mongoid-rspec', '~> 1.5.4'
gem 'factory_girl_rails'
gem 'capybara'
gem "spork-rails"
gem 'guard-spork'
gem 'guard-rspec'
gem 'guard-resque'
gem 'guard-process', :git => 'https://github.com/socialreferral/guard-process.git'
gem 'growl'
gem 'launchy'
gem 'rspec_junit_formatter'
gem 'cover_me', '>= 1.2.0'
end
group :test do
gem 'headless'
end
gem 'rb-inotify', '~> 0.8.8', :require => false
group :development, :test do
gem 'debugger-ruby_core_source', '1.1.5'
gem 'debugger-linecache', '1.1.2'
gem 'debugger', '1.2.2'
end
# Bundle edge Rails instead:
# gem 'rails', :git => 'git://github.com/rails/rails.git'
# Gems used only for assets and not required
# in production environments by default.
group :assets do
gem 'coffee-rails', '~> 3.2.1'
end
gem 'jquery-rails'
gem 'jquery-ui-rails'
Gemfile.lock:
-------------
GIT
remote: git://github.com/Ostrzy/activeadmin-mongoid.git
revision: c46d451710cab9b4a7d66b03fdb2000d9628a59d
branch: filter_support
specs:
activeadmin-mongoid (0.0.1)
activeadmin (~> 0.4)
mongoid (>= 2.4)
sass-rails (~> 3.1, >= 3.1.4)
GIT
remote: https://github.com/Grantoo/delayed_mail.git
revision: 720df3bd295fcd7e413225174101194e79e5c764
specs:
delayed_mail (0.0.2)
GIT
remote: https://github.com/Grantoo/mongoid-slug.git
revision: 7e6d2ad40a7eaef73b936275e23a41ca18928bb5
specs:
mongoid_slug (0.10.5)
mongoid (~> 3.0)
stringex (~> 1.4)
GIT
remote: https://github.com/aq1018/mongoid-history.git
revision: f7fdc24336becef9841777046568e89c381c3817
specs:
mongoid-history (0.3.0)
easy_diff
mongoid (~> 3.0.4)
GIT
remote: https://github.com/burgalon/mongoid_optimistic_locking.git
revision: f9a6851393643af371136a417bdedad074f8ab6c
branch: mongoid3
specs:
mongoid_optimistic_locking (0.0.2)
mongoid (>= 3.0.0rc)
GIT
remote: https://github.com/gregbell/active_admin.git
revision: f1bed7110d57c0629c92f01b6deac4c90677acf2
specs:
activeadmin (0.5.0)
arbre (>= 1.0.1)
bourbon (>= 1.0.0)
devise (>= 1.1.2)
fastercsv
formtastic (>= 2.0.0)
inherited_resources (>= 1.3.1)
jquery-rails (>= 1.0.0)
kaminari (>= 0.13.0)
meta_search (>= 0.9.2)
rails (>= 3.0.0)
sass (>= 3.1.0)
GIT
remote: https://github.com/socialreferral/guard-process.git
revision: eebca1e8c7b009e3dfd7b14c30d1a2360c5fd6cb
specs:
guard-process (1.0.3)
ffi (~> 1.0.9)
guard (>= 0.4.2)
spoon (~> 0.0.1)
PATH
remote: vendor/gems/grantoo_support
specs:
grantoo_support (0.0.1)
mixpanel
recursive-open-struct
resque
PATH
remote: vendor/gems/resource_mapper
specs:
resource_mapper (0.0.1)
cssminify
fog
httparty
mongoid (>= 3.0.0)
rails (>= 3.2.6)
resque
rmagick
therubyracer
uglifier
GEM
remote: https://rubygems.org/
specs:
actionmailer (3.2.6)
actionpack (= 3.2.6)
mail (~> 2.4.4)
actionpack (3.2.6)
activemodel (= 3.2.6)
activesupport (= 3.2.6)
builder (~> 3.0.0)
erubis (~> 2.7.0)
journey (~> 1.0.1)
rack (~> 1.4.0)
rack-cache (~> 1.2)
rack-test (~> 0.6.1)
sprockets (~> 2.1.3)
active_model_serializers (0.5.2)
activemodel (~> 3.0)
activemodel (3.2.6)
activesupport (= 3.2.6)
builder (~> 3.0.0)
activerecord (3.2.6)
activemodel (= 3.2.6)
activesupport (= 3.2.6)
arel (~> 3.0.2)
tzinfo (~> 0.3.29)
activeresource (3.2.6)
activemodel (= 3.2.6)
activesupport (= 3.2.6)
activesupport (3.2.6)
i18n (~> 0.6)
multi_json (~> 1.0)
addressable (2.3.2)
arbre (1.0.1)
activesupport (>= 3.0.0)
arel (3.0.2)
attr_required (0.0.5)
bcrypt-ruby (3.0.1)
bootstrap-sass (2.0.4.2)
bourbon (2.1.1)
sass (>= 3.1)
bson (1.7.0)
bson_ext (1.7.0)
bson (~> 1.7.0)
builder (3.0.3)
capybara (1.1.2)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
selenium-webdriver (~> 2.0)
xpath (~> 0.1.4)
childprocess (0.3.5)
ffi (~> 1.0, >= 1.0.6)
chronic (0.6.7)
chunky_png (1.2.6)
coffee-rails (3.2.2)
coffee-script (>= 2.2.0)
railties (~> 3.2.0)
coffee-script (2.2.0)
coffee-script-source
execjs
coffee-script-source (1.3.3)
columnize (0.3.6)
compass (0.12.2)
chunky_png (~> 1.2)
fssm (>= 0.2.7)
sass (~> 3.1)
compass-rails (1.0.3)
compass (>= 0.12.2, < 0.14)
configatron (2.9.1)
yamler (>= 0.1.0)
cover_me (1.2.0)
configatron
hashie
css_parser (1.2.6)
addressable
rdoc
cssminify (1.0.2)
daemons (1.1.9)
database_cleaner (0.9.1)
debugger (1.2.2)
columnize (>= 0.3.1)
debugger-linecache (~> 1.1.1)
debugger-ruby_core_source (~> 1.1.5)
debugger-linecache (1.1.2)
debugger-ruby_core_source (>= 1.1.1)
debugger-ruby_core_source (1.1.5)
devise (2.1.2)
bcrypt-ruby (~> 3.0)
orm_adapter (~> 0.1)
railties (~> 3.1)
warden (~> 1.2.1)
diff-lcs (1.1.3)
easy_diff (0.0.2)
erubis (2.7.0)
escape (0.0.4)
eventmachine (0.12.10)
excon (0.16.3)
execjs (1.4.0)
multi_json (~> 1.0)
factory_girl (4.0.0)
activesupport (>= 3.0.0)
factory_girl_rails (4.0.0)
factory_girl (~> 4.0.0)
railties (>= 3.0.0)
faraday (0.8.4)
multipart-post (~> 1.1)
fastercsv (1.5.5)
fb_graph (2.4.20)
httpclient (>= 2.2.0.2)
rack-oauth2 (>= 0.14.4)
tzinfo
ffi (1.0.11)
fog (1.5.0)
builder
excon (~> 0.14)
formatador (~> 0.2.0)
mime-types
multi_json (~> 1.0)
net-scp (~> 1.0.4)
net-ssh (>= 2.1.3)
nokogiri (~> 1.5.0)
ruby-hmac
formatador (0.2.3)
formtastic (2.2.1)
actionpack (>= 3.0)
fssm (0.2.9)
growl (1.0.3)
guard (1.3.2)
listen (>= 0.4.2)
thor (>= 0.14.6)
guard-resque (0.0.5)
guard (>= 0.8)
resque
guard-rspec (1.2.1)
guard (>= 1.1)
guard-spork (1.1.0)
guard (>= 1.1)
spork (>= 0.8.4)
guid (0.1.1)
handlebars_assets (0.6.5)
execjs (>= 1.2.9)
sprockets (>= 2.0.3)
tilt
has_scope (0.5.1)
hashie (1.2.0)
headless (0.3.1)
hike (1.2.1)
httparty (0.9.0)
multi_json (~> 1.0)
multi_xml
httpauth (0.2.0)
httpclient (2.2.7)
i18n (0.6.1)
inherited_resources (1.3.1)
has_scope (~> 0.5.0)
responders (~> 0.6)
journey (1.0.4)
jquery-rails (2.1.2)
railties (>= 3.1.0, < 5.0)
thor (~> 0.14)
jquery-ui-rails (2.0.0)
jquery-rails
railties (>= 3.1.0)
jruby-pageant (1.1.1)
json (1.7.5)
just-datetime-picker (0.0.5)
activeadmin (>= 0.4.4)
formtastic (>= 2.0.0)
jwt (0.1.5)
multi_json (>= 1.0)
kaminari (0.14.0)
actionpack (>= 3.0.0)
activesupport (>= 3.0.0)
koala (1.5.0)
faraday (~> 0.7)
multi_json (~> 1.3)
launchy (2.1.2)
addressable (~> 2.3)
libv8 (3.3.10.4)
libwebsocket (0.1.5)
addressable
libxml-ruby (2.3.3)
listen (0.5.0)
mail (2.4.4)
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
meta_search (1.1.3)
actionpack (~> 3.1)
activerecord (~> 3.1)
activesupport (~> 3.1)
polyamorous (~> 0.5.0)
mime-types (1.19)
mixpanel (3.0.2)
escape
json
rack
mongoid (3.0.6)
activemodel (~> 3.1)
moped (~> 1.1)
origin (~> 1.0)
tzinfo (~> 0.3.22)
mongoid-rspec (1.5.4)
mongoid (>= 3.0.1)
rake
rspec (>= 2.9)
mongoid_denormalize (0.3.0)
mongoid (>= 2.1.9)
moped (1.2.2)
multi_json (1.3.6)
multi_xml (0.5.1)
multipart-post (1.1.5)
net-scp (1.0.4)
net-ssh (>= 1.99.1)
net-ssh (2.6.0)
jruby-pageant (>= 1.1.1)
newrelic_moped (0.0.3)
newrelic_rpm (3.5.3.25)
nokogiri (1.5.5)
oauth2 (0.8.0)
faraday (~> 0.8)
httpauth (~> 0.1)
jwt (~> 0.1.4)
multi_json (~> 1.0)
rack (~> 1.2)
omniauth (1.1.1)
hashie (~> 1.2)
rack
omniauth-facebook (1.4.1)
omniauth-oauth2 (~> 1.1.0)
omniauth-oauth2 (1.1.0)
oauth2 (~> 0.8.0)
omniauth (~> 1.0)
origin (1.0.8)
orm_adapter (0.4.0)
polyamorous (0.5.0)
activerecord (~> 3.0)
polyglot (0.3.3)
rabl (0.7.6)
activesupport (>= 2.3.14)
multi_json (~> 1.0)
rack (1.4.1)
rack-cache (1.2)
rack (>= 0.4)
rack-oauth2 (0.14.9)
activesupport (>= 2.3)
attr_required (>= 0.0.5)
httpclient (>= 2.2.0.2)
i18n
multi_json (>= 1.3.6)
rack (>= 1.1)
rack-protection (1.2.0)
rack
rack-ssl (1.3.2)
rack
rack-test (0.6.1)
rack (>= 1.0)
rails (3.2.6)
actionmailer (= 3.2.6)
actionpack (= 3.2.6)
activerecord (= 3.2.6)
activeresource (= 3.2.6)
activesupport (= 3.2.6)
bundler (~> 1.0)
railties (= 3.2.6)
railties (3.2.6)
actionpack (= 3.2.6)
activesupport (= 3.2.6)
rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
rdoc (~> 3.4)
thor (>= 0.14.6, < 2.0)
rake (0.9.2.2)
rb-fsevent (0.9.1)
rb-inotify (0.8.8)
ffi (>= 0.5.0)
rdoc (3.12)
json (~> 1.4)
recursive-open-struct (0.2.1)
redis (3.0.1)
redis-namespace (1.2.1)
redis (~> 3.0.0)
responders (0.9.2)
railties (~> 3.1)
resque (1.22.0)
multi_json (~> 1.0)
redis-namespace (~> 1.0)
sinatra (>= 0.9.2)
vegas (~> 0.1.2)
resque-scheduler (2.0.0)
redis (>= 2.0.1)
resque (>= 1.20.0)
rufus-scheduler
rmagick (2.12.2)
roadie (2.3.2)
actionmailer (> 3.0.0, < 3.3.0)
css_parser
nokogiri (>= 1.4.4)
sprockets
rspec (2.11.0)
rspec-core (~> 2.11.0)
rspec-expectations (~> 2.11.0)
rspec-mocks (~> 2.11.0)
rspec-core (2.11.1)
rspec-dump-profile-customizer (0.0.2)
railties (>= 3.0.0)
rspec (>= 2.0.0)
rspec-expectations (2.11.3)
diff-lcs (~> 1.1.3)
rspec-mocks (2.11.3)
rspec-rails (2.11.0)
actionpack (>= 3.0)
activesupport (>= 3.0)
railties (>= 3.0)
rspec (~> 2.11.0)
rspec_junit_formatter (0.1.1)
builder
rspec (~> 2.0)
ruby-hmac (0.4.0)
rubyzip (0.9.9)
rufus-scheduler (2.0.17)
tzinfo (>= 0.3.23)
sass (3.2.1)
sass-rails (3.2.5)
railties (~> 3.2.0)
sass (>= 3.1.10)
tilt (~> 1.3)
selenium-webdriver (2.25.0)
childprocess (>= 0.2.5)
libwebsocket (~> 0.1.3)
multi_json (~> 1.0)
rubyzip
simple_form (2.0.2)
actionpack (~> 3.0)
activemodel (~> 3.0)
sinatra (1.3.3)
rack (~> 1.3, >= 1.3.6)
rack-protection (~> 1.2)
tilt (~> 1.3, >= 1.3.3)
spoon (0.0.1)
spork (1.0.0rc3)
spork-rails (3.2.0)
rails (>= 3.0.0, < 3.3.0)
spork (>= 1.0rc0)
sprockets (2.1.3)
hike (~> 1.2)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
stringex (1.4.0)
therubyracer (0.10.2)
libv8 (~> 3.3.10)
thin (1.4.1)
daemons (>= 1.0.9)
eventmachine (>= 0.12.6)
rack (>= 1.0.0)
thor (0.16.0)
tilt (1.3.3)
treetop (1.4.10)
polyglot
polyglot (>= 0.3.1)
tzinfo (0.3.33)
uglifier (1.3.0)
execjs (>= 0.3.0)
multi_json (~> 1.0, >= 1.0.2)
vegas (0.1.11)
rack (>= 1.0.0)
warden (1.2.1)
rack (>= 1.0)
whenever (0.7.3)
activesupport (>= 2.3.4)
chronic (~> 0.6.3)
xpath (0.1.4)
nokogiri (~> 1.3)
yamler (0.1.0)
PLATFORMS
ruby
DEPENDENCIES
active_model_serializers
activeadmin!
activeadmin-mongoid!
bootstrap-sass (>= 2.0)
bson_ext
bundler (>= 1.2.1)
capybara
coffee-rails (~> 3.2.1)
compass-rails (>= 0.12)
cover_me (>= 1.2.0)
cssminify
database_cleaner
debugger (= 1.2.2)
debugger-linecache (= 1.1.2)
debugger-ruby_core_source (= 1.1.5)
delayed_mail!
devise (= 2.1.2)
factory_girl_rails
fb_graph
fog (~> 1.5.0)
grantoo_support!
growl
guard-process!
guard-resque
guard-rspec
guard-spork
guid
handlebars_assets
headless
jquery-rails
jquery-ui-rails
json (~> 1.7.4)
just-datetime-picker
koala
launchy
libxml-ruby
mixpanel (~> 3.0.2)
mongoid (~> 3.0.4)
mongoid-history!
mongoid-rspec (~> 1.5.4)
mongoid_denormalize
mongoid_optimistic_locking!
mongoid_slug!
newrelic_moped
newrelic_rpm
omniauth (~> 1.1.1)
omniauth-facebook (= 1.4.1)
rabl
rails (= 3.2.6)
rb-fsevent (~> 0.9.1)
rb-inotify (~> 0.8.8)
recursive-open-struct
resource_mapper!
resque (>= 1.19.0)
resque-scheduler
rmagick (= 2.12.2)
roadie
rspec-dump-profile-customizer
rspec-expectations (>= 2.11.2)
rspec-rails (>= 2.11.0)
rspec_junit_formatter
sass-rails (~> 3.2.3)
simple_form
spork-rails
therubyracer
thin
uglifier (>= 1.0.3)
whenever
Bundle config:
--------------
Settings are listed in order of priority. The top value will be used.
Bundler version:
----------------
1.2.3
Ruby version:
-------------
ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]
Rubygems version:
-----------------
1.8.24
RVM version:
------------
rvm 1.15.5 (stable) by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com> [https://rvm.io/]
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.